Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.admin
Class InfoCardTokenAdmin

    java.lang.Object
      org.wso2.solutions.identity.admin.InfoCardTokenAdmin

    public class InfoCardTokenAdmin

extends java.lang.Object

Constructor Summary
`InfoCardTokenAdmin()`

Method Summary
`void` | `backupExpiredCards()`
`int` | `deleteCardsofUser(java.lang.String username)`
`InfoCardDO[]` | `getAllInfoCards()` Obtain all the issued information cards.
`InfoCardDO[]` | `getCardIdsForUser(java.lang.String username)`
`void` | `getCardsIssued(java.lang.String startDate, java.lang.String endDate)` returns all cards issued during a period of time
`RevokedInfoCardDO[]` | `getRevokedInfoCards()`
`IssuedTokensDO[]` | `getTokensOfUser(java.lang.String username)`
`void` | `revokeInformationCard(java.lang.String cardId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfoCardTokenAdmin

    public InfoCardTokenAdmin()
                       throws IdentityProviderException

Throws:
  `IdentityProviderException`

Method Detail

### getCardIdsForUser

    public InfoCardDO[] getCardIdsForUser(java.lang.String username)

### deleteCardsofUser

    public int deleteCardsofUser(java.lang.String username)

### getAllInfoCards

    public InfoCardDO[] getAllInfoCards()

  Obtain all the issued information cards.

  Returns:
    An array of `org.wso2.solutions.identity.persistence.dataobject.InfoCardDO` instances.

### getCardsIssued

    public void getCardsIssued(java.lang.String startDate,
                               java.lang.String endDate)

  returns all cards issued during a period of time

  Parameters:
    `sto` -
    `endDate` -

### backupExpiredCards

    public void backupExpiredCards()

### getTokensOfUser

    public IssuedTokensDO[] getTokensOfUser(java.lang.String username)

### getRevokedInfoCards

    public RevokedInfoCardDO[] getRevokedInfoCards()

### revokeInformationCard

    public void revokeInformationCard(java.lang.String cardId)
                               throws IdentityProviderException

  Throws:
    `IdentityProviderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD